Bug 200256 - F-spot misses a BuildReq on dbus-sharp-devel
F-spot misses a BuildReq on dbus-sharp-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 11:12 EDT by Roozbeh Pournader
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:57:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec patch to fix the problem (385 bytes, patch)
2006-07-27 06:20 EDT, Roozbeh Pournader
no flags Details | Diff

  None (edit)
Description Roozbeh Pournader 2006-07-26 11:12:32 EDT
Description of problem:
f-spot needs a BuildReq on dbus-sharp-devel.

Version-Release number of selected component (if applicable):
0.1.11-3.1

How reproducible:
Always

Steps to Reproduce:
1. rpm -Uvh f-spot-0.1.11-3.1.src.rpm
2. rpmbuild -bc f-spot.spec
  
Actual results:
Failure with an error ending in:

checking for F... configure: error: Package requirements (libgnome-2.0 >= 2.2
libgnomeui-2.0 >= 2.2 libexif >= 0.5.7 libexif < 0.7.0 gtkhtml-sharp-2.0 >= 2.7
gconf-sharp-2.0 >= 2.7 glade-sharp-2.0 >= 2.7 gnome-vfs-sharp-2.0 >= 2.7
gtk+-2.0 >= 2.6 mono >= 1.1.7 dbus-sharp >= 0.23) were not met:

No package 'dbus-sharp' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables F_CFLAGS
and F_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

error: Bad exit status from /var/tmp/rpm-tmp.94158 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.94158 (%build)
Comment 1 Roozbeh Pournader 2006-07-27 06:20:57 EDT
Created attachment 133140 [details]
spec patch to fix the problem

Attached a patch
Comment 2 Matthias Clasen 2006-07-27 15:57:09 EDT
fixed in 0.1.11-4

Note You need to log in before you can comment on or make changes to this bug.